Bug 37436 - mount fails to find labelled partition[s] during mount -a
Summary: mount fails to find labelled partition[s] during mount -a
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-24 15:35 UTC by j. alan eldridge
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-22 12:42:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to use 16k buffer for /proc/partitions (487 bytes, patch)
2001-04-25 02:54 UTC, j. alan eldridge
no flags Details | Diff
spec file patch (1.04 KB, patch)
2001-04-25 02:54 UTC, j. alan eldridge
no flags Details | Diff

Description j. alan eldridge 2001-04-24 15:35:41 UTC
See bug 38663 against RH7.1/e2fsprogs, or 35980 against RH-
Wolverine/e2fsprogs.

Mount has to read /proc/partitions in one gulp. It doesn't. Failed for me 
after a hard powerdown (oops) and the resulting fsck-the-world frenzy on 
startup, before the mount -a. Falure cause is identical (getting out of 
sync with the text at the 1K boundary), but failure mode not quite so 
drastic as it doesn't bail out like fsck does.

I'll attach a patch tonight when I get the time to put one together. This 
sucks, but we knew it was coming....

Comment 1 j. alan eldridge 2001-04-25 02:54:03 UTC
Created attachment 16325 [details]
patch to use 16k buffer for /proc/partitions

Comment 2 j. alan eldridge 2001-04-25 02:54:46 UTC
Created attachment 16326 [details]
spec file patch

Comment 3 j. alan eldridge 2001-04-25 03:00:17 UTC
This problem also exists (in theory) in fdisk.c in util-linux-2.10r. Fdisk has 
another problem, too, that a quick glance at the source reveals: it never 
closes the FILE* it got to read /proc/paritions with. I'll submit that as a 
patch to util-linux with a note to see this bug or the e2fsprogs bug for 
details. 

I've left these as normal priority/severity. They may want to be escalated. 
It's a low frequency occurence bug, but the failure mode can be quite dramatic 
depending on the circumstances and the partition layout of the individual 
system affected.



Comment 4 Bernhard Rosenkraenzer 2002-01-22 12:42:30 UTC
Assigning to util-linux, where mount lives nowadays.

Comment 5 Elliot Lee 2002-01-29 21:55:51 UTC
Fixed in util-linux-2.11n-3


Note You need to log in before you can comment on or make changes to this bug.